Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Class InvalidPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.InvalidPropertyException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidPropertyException
extends ResourceException

This exception is thrown to indicate invalid configuration property settings.

Version:
  0.2
Author:
  Ram Jeyaraman
See Also:
  Serialized Form

Constructor Summary
`InvalidPropertyException()` Create a InvalidPropertyException.
`InvalidPropertyException(java.lang.String message)` Create a InvalidPropertyException.
`InvalidPropertyException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
`InvalidPropertyException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`InvalidPropertyException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

Method Summary
`java.beans.PropertyDescriptor[]` | `getInvalidPropertyDescriptors()` Get the list of invalid properties.
`void` | `setInvalidPropertyDescriptors(java.beans.PropertyDescriptor[] invalidProperties)` Set a list of invalid properties.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPropertyException

    public InvalidPropertyException()

  Create a InvalidPropertyException.

### InvalidPropertyException

    public InvalidPropertyException(java.lang.String message)

  Create a InvalidPropertyException.

Parameters:
  `message` - a description of the exception

### InvalidPropertyException

    public InvalidPropertyException(java.lang.Throwable cause)

  Constructs a new throwable with the specified cause.

Parameters:
  `cause` - a chained exception of type `Throwable`.

### InvalidPropertyException

    public InvalidPropertyException(java.lang.String message,
                                    java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - a chained exception of type `Throwable`.

### InvalidPropertyException

    public InvalidPropertyException(java.lang.String message,
                                    java.lang.String errorCode)

  Constructs a new throwable with the specified detail message and an error code.

Parameters:
  `message` - a description of the exception.
  `errorCode` - a string specifying the vendor specific error code.

Method Detail

### setInvalidPropertyDescriptors

    public void setInvalidPropertyDescriptors(java.beans.PropertyDescriptor[] invalidProperties)

  Set a list of invalid properties.

### getInvalidPropertyDescriptors

    public java.beans.PropertyDescriptor[] getInvalidPropertyDescriptors()

  Get the list of invalid properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.